---
title: Server Preview
summary: Get the server list preview of a Minecraft server.
---

# Overview

The server preview endpoint allows you to get the server list preview of a Minecraft server.

## Endpoint

```
GET /server/:platform/preview/:query
```

## Platforms

| Platform | Description     |
|----------|-----------------|
| bedrock  | Bedrock Edition |
| java     | Java Edition    |

## Parameters

| Parameter | Description                                                               | Required |
|-----------|---------------------------------------------------------------------------|----------|
| platform  | The platform of the server you want to get the preview for.               | Yes      |
| query     | The IP address or hostname of the server you want to get the preview for. | Yes      |

## Example

```bash
curl -X GET "https://api.mcutils.xyz/server/java/preview/hypixel.net" -H "accept: image/png"
```

## Response

![Server Icon](https://api.mcutils.xyz/server/java/preview/play.hypixel.net)

## Errors

| Status Code | Description                                   |
|-------------|-----------------------------------------------|
| 400         | The server was not found.                     |
| 429         | The Mojang API rate limit has been exhausted. |